Get a run's live view
GET
Read a run's lightweight live view: its goal, current activity, brief and liveness. It is cheaper than GET /runs/{id} and meant for frequent polling. Pass after (the highest activity id you have seen) to receive only newer activity.
CustomerApiKeyheader
AuthorizationBearer <API Key>Customer API key sent as a bearer token
coding_run_id*stringFormat
uuidcustomer_id?|nullafter?string|nullRequest fulfilled, document follows
application/json- response
activity?array<>brief?string|nullearliest_id?string|nullgoal?|nullliveness?|nullpause?|nullpending_hitl_requests?array<>steer_messages?array<>validation?array<>curl -X GET 'https://api.syndai.ai/api/v1/external/coding/runs/497f6eca-6276-4993-bfeb-53cbbbba6f08/live'Example Response
{ "activity": [ { "approx_ts": true, "attempt": "string", "family": "string", "hunk": "string", "id": "string", "kind": "string", "label": "string", "lines_added": 0, "lines_removed": 0, "ms": 0, "ok": true, "op": "string", "parent": "string", "phase": "string", "ref": "string", "tail": "string", "target": "string", "text": "string", "tokens": 0, "ts": "2019-08-24T14:15:22Z", "wait": "string" } ], "brief": "string", "earliest_id": "string", "goal": { "current_detail": "string", "layers": [ { "files": [ "string" ], "sequence": 0, "status": "string", "title": "string" } ], "repair_reason": "string", "repair_round": 0, "steps": [ { "key": "string", "label": "string", "state": "string" } ] }, "liveness": { "attempt": 0, "criteria_attention": false, "current_activity": {}, "last_activity_at": "2019-08-24T14:15:22Z", "max_attempts": 0, "reason": "string", "source_id": "string", "source_type": "string", "state": "running", "stuck_detail": "string", "stuck_reason": "string" }, "pause": { "cause": "string", "kind": "string", "resume_at": "2019-08-24T14:15:22Z", "resume_kind": "string" }, "pending_hitl_requests": [ { "connection": { "kind": "string", "link": "string", "names": [ "string" ] }, "created_at": "2019-08-24T14:15:22Z", "defaults_at": "2019-08-24T14:15:22Z", "expires_at": "2019-08-24T14:15:22Z", "hitl_request_id": "1aa3fc62-1cee-4e90-a673-f84ebe5ed881", "inputs": [ { "context": "string", "default_assumption": "string", "default_option_ids": [ "string" ], "free_text": { "enabled": true, "max_length": 0, "placeholder": "string", "required_policy": "string", "ui_mode": "string" }, "input_id": "string", "kind": "string", "options": [ { "id": "string", "label": "string" } ], "prompt": "string", "required": true } ], "request_kind": "string", "schema_version": 0, "summary": "string", "website_details": { "account_label": "string", "action_class": "string", "action_summary": "string", "adapter_fingerprint": "string", "adapter_spec_id": "string", "domain": "string", "estimated_cost_usd": 0, "expected_effect": "string", "expires_at": "string", "max_authorized_delta": {}, "money_or_credit_impact": {}, "reversibility": "string", "risk_class": "string", "robots_txt_violation": false, "session_identity_label": "string", "session_window_expires_at": "string", "tos_flagged_reason": "string" } } ], "steer_messages": [ { "applied_at": "2019-08-24T14:15:22Z", "body": "string", "created_at": "2019-08-24T14:15:22Z", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "orphaned_at": "2019-08-24T14:15:22Z" } ], "validation": [ { "cwd": "string", "name": "string", "p50_s": 0, "state": "string" } ]}